# class SignallingMessageTimerList | A pending signalling message list. More...
Full name | `TelEngine::SignallingMessageTimerList`
Definition | `#include <libs/ysig/yatesig.h>`
Inherits | TelEngine::ObjList [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- inline SignallingMessageTimerList ()
- inline SignallingMessageTimer* add (u_int64_t interval, const Time& when = Time())
- SignallingMessageTimer* add (SignallingMessageTimer* m, const Time& when = Time())
- SignallingMessageTimer* timeout (const Time& when = Time())

## Detailed Description

This class holds pending signalling messages. The list will keep objects in timeout ascending order

inline SignallingMessageTimerList () | ### SignallingMessageTimerList

Constructor

inline SignallingMessageTimer* add (u_int64_t interval, const Time& when = Time()) | ### add

Add a pending operation to the list. Start its timer

Parameters:

interval | Operation timeout interval
when | Current time

Returns: Added operation or 0 on failure

SignallingMessageTimer* add (SignallingMessageTimer* m, const Time& when = Time()) | ### add

Add a pending operation to the list. Start its timer

Parameters:

m | The Message Timer to add to the pending list
when | Current time

Returns: Added message

SignallingMessageTimer* timeout (const Time& when = Time()) | ### timeout

Check if the first operation timed out. Remove it from list before returning it

Parameters:

when | Current time

Returns: SignallingMessageTimer pointer or 0 if no timeout occured

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.